<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.22.4.140
Name: CCDA2 Patient Referral Act
Description: This template represents the type of referral (e.g., for dental care, to a specialist, for aging problems) and represents whether the referral is for full care or shared care. It may contain a reference to another act in the document instance representing the clinical reason for the referral (e.g., problem, concern, procedure).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000">
   <title>CCDA2 Patient Referral Act</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]
Item: (ccda2-PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]"
         id="tmp-r-5af25192-4de3-45a8-a360-a92b595b64c6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@classCode)='ACT'">(ccda2-PatientReferralAct): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@moodCode)='INT'">(ccda2-PatientReferralAct): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'])&lt;=1">(ccda2-PatientReferralAct): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ccda2-PatientReferralAct): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&gt;=1 and not(hl7:statusCode[@code='active']/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:statusCode[@code='active'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='active'])&lt;=1">(ccda2-PatientReferralAct): element hl7:statusCode[@code='active'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ccda2-PatientReferralAct): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']"
         id="tmp-r-919451a6-e581-4dcf-995c-a08188fd5c94">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.4.140'">(ccda2-PatientReferralAct): de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.140' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:id
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:id"
         id="tmp-r-48e767aa-e31f-4fc8-a119-32b83e5e2447">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-f2f27c93-1348-479d-ab86-8ba036558120">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-PatientReferralAct): de elementwaarde MOET zijn 2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.56 Referral Types CCDA (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:statusCode[@code='active']
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:statusCode[@code='active']"
         id="tmp-r-ab15ecbd-99b1-44a8-9c2f-dc3c336cdf6c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or (@code='active')">(ccda2-PatientReferralAct): de elementwaarde MOET zijn code 'active'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:effectiveTime
Item: (ccda2-PatientReferralAct)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]"
         id="tmp-r-a28013c2-677f-42a2-b818-7505a2c74240">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'])&lt;=1">(ccda2-AuthorParticipation): element hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:time)&lt;=1">(ccda2-AuthorParticipation): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(ccda2-AuthorParticipation): element hl7:assignedAuthor komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']"
         id="tmp-r-ccd1db26-cdaa-4506-9f5e-fc4ccf66c251">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.22.4.119'">conf-32018: de waarde van @root MOET '2.16.840.1.113883.10.20.22.4.119' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:time
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor"
         id="tmp-r-81b70df4-b01a-411d-b78e-c570e82040e8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ccda2-AuthorParticipation): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:id)&lt;=1">(ccda2-AuthorParticipation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:code)&lt;=1">(ccda2-AuthorParticipation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(ccda2-AuthorParticipation): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(ccda2-AuthorParticipation): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:id
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:code
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:code"
         id="tmp-r-4dd083be-cbeb-4b13-a758-d3416481b48a">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-AuthorParticipation): de elementwaarde MOET zijn 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.114222.4.11.1066-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-AuthorParticipation): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.114222.4.11.1066 Healthcare Provider Taxonomy (HIPAA) (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:assignedPerson
Item: (ccda2-AuthorParticipation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-b89c5d50-a82d-4336-9b5f-cb3f18381c81">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:PN" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-6154713d-160c-4a7a-8369-c43e55417d83">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="string(@classCode)='ORG'">(ccda2-AuthorParticipation): de waarde van @classCode MOET 'ORG' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-8b6393d1-00a0-4ef4-b9db-a8a1c7ae554c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-4526cd2e-f48f-48a4-8d7f-4d39944bdfde">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ON" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-6b55ac73-9d22-4a27-8412-43c191117268">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.119
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (ccda2-AuthorParticipation)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:author[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.119']]/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-3b5207a6-85b3-409f-bb5e-0c29981e1bfc">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.119-2014-03-26T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-AuthorParticipation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:AD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-f70e70f8-ee50-4c5b-a9d0-32746d2e5553">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@typeCode)='SUBJ'">(ccda2-PatientReferralAct): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 ">(ccda2-PatientReferralAct): element hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(ccda2-PatientReferralAct): element hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]"
         id="tmp-r-43226406-c901-4033-95e5-0e1209d36c61">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@classCode)='OBS'">(ccda2-PatientReferralAct): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@moodCode)='EVN'">(ccda2-PatientReferralAct): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(ccda2-PatientReferralAct): element hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&gt;=1 and not(hl7:statusCode[@code='completed']/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:statusCode[@code='completed'])&lt;=1">(ccda2-PatientReferralAct): element hl7:statusCode[@code='completed'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(ccda2-PatientReferralAct): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(ccda2-PatientReferralAct): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-90f685b3-3b96-4549-abd5-73992c08b28a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(ccda2-PatientReferralAct): de elementwaarde MOET zijn code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:statusCode[@code='completed']"
         id="tmp-r-663a52e3-bebf-4347-8192-fe1181104ab5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or (@code='completed')">(ccda2-PatientReferralAct): de elementwaarde MOET zijn code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (ccda2-PatientReferralAct)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:observation[hl7:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-c4c8f9f6-8b9a-480c-9fcc-45762475e685">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ccda2-PatientReferralAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(ccda2-PatientReferralAct): de elementwaarde MOET zijn 2.16.840.1.113883.11.20.9.61 Care Model CCDA (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.11.20.9.61-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(ccda2-PatientReferralAct): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst 2.16.840.1.113883.11.20.9.61 Care Model CCDA (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.22.4.140
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.122']]]
Item: (ccda2-PatientReferralAct)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.140']]/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.22.4.122']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.10.20.22.4.140-2013-09-01T000000.html"
              test="string(@typeCode)='RSON'">(ccda2-PatientReferralAct): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>
</pattern>
